ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-3.0/configure
(Generate patch)

Comparing trunk/OOPSE-3.0/configure (file contents):
Revision 2452 by gezelter, Tue Sep 20 22:03:35 2005 UTC vs.
Revision 2453 by gezelter, Thu Nov 17 20:39:59 2005 UTC

# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT PERLINTERP PERL_SHEBANG AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI CXXCPP USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP CXXCPP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT PERLINTERP PERL_SHEBANG AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 4464 | Line 4464 | ac_ext=c
4464   ac_compiler_gnu=$ac_cv_c_compiler_gnu
4465  
4466  
4467 + ac_ext=cc
4468 + ac_cpp='$CXXCPP $CPPFLAGS'
4469 + ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4470 + ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4471 + ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
4472 +
4473 +
4474 +
4475 + echo "$as_me:$LINENO: checking for asin in -lm" >&5
4476 + echo $ECHO_N "checking for asin in -lm... $ECHO_C" >&6
4477 + if test "${ac_cv_lib_m_asin+set}" = set; then
4478 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4479 + else
4480 +  ac_check_lib_save_LIBS=$LIBS
4481 + LIBS="-lm  $LIBS"
4482 + cat >conftest.$ac_ext <<_ACEOF
4483 + /* confdefs.h.  */
4484 + _ACEOF
4485 + cat confdefs.h >>conftest.$ac_ext
4486 + cat >>conftest.$ac_ext <<_ACEOF
4487 + /* end confdefs.h.  */
4488 +
4489 + /* Override any gcc2 internal prototype to avoid an error.  */
4490 + #ifdef __cplusplus
4491 + extern "C"
4492 + #endif
4493 + /* We use char because int might match the return type of a gcc2
4494 +   builtin and then its argument prototype would still apply.  */
4495 + char asin ();
4496 + int
4497 + main ()
4498 + {
4499 + asin ();
4500 +  ;
4501 +  return 0;
4502 + }
4503 + _ACEOF
4504 + rm -f conftest.$ac_objext conftest$ac_exeext
4505 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4506 +  (eval $ac_link) 2>conftest.er1
4507 +  ac_status=$?
4508 +  grep -v '^ *+' conftest.er1 >conftest.err
4509 +  rm -f conftest.er1
4510 +  cat conftest.err >&5
4511 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4512 +  (exit $ac_status); } &&
4513 +         { ac_try='test -z "$ac_cxx_werror_flag"
4514 +                         || test ! -s conftest.err'
4515 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4516 +  (eval $ac_try) 2>&5
4517 +  ac_status=$?
4518 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4519 +  (exit $ac_status); }; } &&
4520 +         { ac_try='test -s conftest$ac_exeext'
4521 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4522 +  (eval $ac_try) 2>&5
4523 +  ac_status=$?
4524 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4525 +  (exit $ac_status); }; }; then
4526 +  ac_cv_lib_m_asin=yes
4527 + else
4528 +  echo "$as_me: failed program was:" >&5
4529 + sed 's/^/| /' conftest.$ac_ext >&5
4530 +
4531 + ac_cv_lib_m_asin=no
4532 + fi
4533 + rm -f conftest.err conftest.$ac_objext \
4534 +      conftest$ac_exeext conftest.$ac_ext
4535 + LIBS=$ac_check_lib_save_LIBS
4536 + fi
4537 + echo "$as_me:$LINENO: result: $ac_cv_lib_m_asin" >&5
4538 + echo "${ECHO_T}$ac_cv_lib_m_asin" >&6
4539 + if test $ac_cv_lib_m_asin = yes; then
4540 +  cat >>confdefs.h <<_ACEOF
4541 + #define HAVE_LIBM 1
4542 + _ACEOF
4543 +
4544 +  LIBS="-lm $LIBS"
4545 +
4546 + else
4547 +  exit
4548 + fi
4549 +
4550 +
4551   ac_ext=c
4552   ac_cpp='$CPP $CPPFLAGS'
4553   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
# Line 5331 | Line 5415 | fi
5415  
5416  
5417  
5418 +
5419 + for ac_header in sys/time.h unistd.h stdlib.h stdio.h conio.h string.h
5420 + do
5421 + as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
5422 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
5423 +  echo "$as_me:$LINENO: checking for $ac_header" >&5
5424 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
5425 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
5426 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5427 + fi
5428 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
5429 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
5430 + else
5431 +  # Is the header compilable?
5432 + echo "$as_me:$LINENO: checking $ac_header usability" >&5
5433 + echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
5434 + cat >conftest.$ac_ext <<_ACEOF
5435 + /* confdefs.h.  */
5436 + _ACEOF
5437 + cat confdefs.h >>conftest.$ac_ext
5438 + cat >>conftest.$ac_ext <<_ACEOF
5439 + /* end confdefs.h.  */
5440 + $ac_includes_default
5441 + #include <$ac_header>
5442 + _ACEOF
5443 + rm -f conftest.$ac_objext
5444 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5445 +  (eval $ac_compile) 2>conftest.er1
5446 +  ac_status=$?
5447 +  grep -v '^ *+' conftest.er1 >conftest.err
5448 +  rm -f conftest.er1
5449 +  cat conftest.err >&5
5450 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5451 +  (exit $ac_status); } &&
5452 +         { ac_try='test -z "$ac_c_werror_flag"
5453 +                         || test ! -s conftest.err'
5454 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5455 +  (eval $ac_try) 2>&5
5456 +  ac_status=$?
5457 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5458 +  (exit $ac_status); }; } &&
5459 +         { ac_try='test -s conftest.$ac_objext'
5460 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5461 +  (eval $ac_try) 2>&5
5462 +  ac_status=$?
5463 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5464 +  (exit $ac_status); }; }; then
5465 +  ac_header_compiler=yes
5466 + else
5467 +  echo "$as_me: failed program was:" >&5
5468 + sed 's/^/| /' conftest.$ac_ext >&5
5469  
5470 + ac_header_compiler=no
5471 + fi
5472 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5473 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
5474 + echo "${ECHO_T}$ac_header_compiler" >&6
5475  
5476 + # Is the header present?
5477 + echo "$as_me:$LINENO: checking $ac_header presence" >&5
5478 + echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
5479 + cat >conftest.$ac_ext <<_ACEOF
5480 + /* confdefs.h.  */
5481 + _ACEOF
5482 + cat confdefs.h >>conftest.$ac_ext
5483 + cat >>conftest.$ac_ext <<_ACEOF
5484 + /* end confdefs.h.  */
5485 + #include <$ac_header>
5486 + _ACEOF
5487 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5488 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5489 +  ac_status=$?
5490 +  grep -v '^ *+' conftest.er1 >conftest.err
5491 +  rm -f conftest.er1
5492 +  cat conftest.err >&5
5493 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5494 +  (exit $ac_status); } >/dev/null; then
5495 +  if test -s conftest.err; then
5496 +    ac_cpp_err=$ac_c_preproc_warn_flag
5497 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
5498 +  else
5499 +    ac_cpp_err=
5500 +  fi
5501 + else
5502 +  ac_cpp_err=yes
5503 + fi
5504 + if test -z "$ac_cpp_err"; then
5505 +  ac_header_preproc=yes
5506 + else
5507 +  echo "$as_me: failed program was:" >&5
5508 + sed 's/^/| /' conftest.$ac_ext >&5
5509  
5510 +  ac_header_preproc=no
5511 + fi
5512 + rm -f conftest.err conftest.$ac_ext
5513 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
5514 + echo "${ECHO_T}$ac_header_preproc" >&6
5515  
5516 < for ac_header in unistd.h sys/pstat.h sys/sysmp.h sys/sysinfo.h sys/table.h sys/param.h sys/sysctl.h sys/sytemcfg.h machine/hal_sysinfo.h
5516 > # So?  What about this header?
5517 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
5518 >  yes:no: )
5519 >    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
5520 > echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
5521 >    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
5522 > echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
5523 >    ac_header_preproc=yes
5524 >    ;;
5525 >  no:yes:* )
5526 >    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
5527 > echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
5528 >    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
5529 > echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
5530 >    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
5531 > echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
5532 >    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
5533 > echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
5534 >    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
5535 > echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
5536 >    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
5537 > echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
5538 >    (
5539 >      cat <<\_ASBOX
5540 > ## ------------------------------ ##
5541 > ## Report this to gezelter@nd.edu ##
5542 > ## ------------------------------ ##
5543 > _ASBOX
5544 >    ) |
5545 >      sed "s/^/$as_me: WARNING:     /" >&2
5546 >    ;;
5547 > esac
5548 > echo "$as_me:$LINENO: checking for $ac_header" >&5
5549 > echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
5550 > if eval "test \"\${$as_ac_Header+set}\" = set"; then
5551 >  echo $ECHO_N "(cached) $ECHO_C" >&6
5552 > else
5553 >  eval "$as_ac_Header=\$ac_header_preproc"
5554 > fi
5555 > echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
5556 > echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
5557 >
5558 > fi
5559 > if test `eval echo '${'$as_ac_Header'}'` = yes; then
5560 >  cat >>confdefs.h <<_ACEOF
5561 > #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
5562 > _ACEOF
5563 >
5564 > fi
5565 >
5566 > done
5567 >
5568 >
5569 >
5570 >
5571 >
5572 >
5573 > for ac_header in strstream.h iostream.h fstream.h math.h time.h
5574 > do
5575 > as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
5576 > if eval "test \"\${$as_ac_Header+set}\" = set"; then
5577 >  echo "$as_me:$LINENO: checking for $ac_header" >&5
5578 > echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
5579 > if eval "test \"\${$as_ac_Header+set}\" = set"; then
5580 >  echo $ECHO_N "(cached) $ECHO_C" >&6
5581 > fi
5582 > echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
5583 > echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
5584 > else
5585 >  # Is the header compilable?
5586 > echo "$as_me:$LINENO: checking $ac_header usability" >&5
5587 > echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
5588 > cat >conftest.$ac_ext <<_ACEOF
5589 > /* confdefs.h.  */
5590 > _ACEOF
5591 > cat confdefs.h >>conftest.$ac_ext
5592 > cat >>conftest.$ac_ext <<_ACEOF
5593 > /* end confdefs.h.  */
5594 > $ac_includes_default
5595 > #include <$ac_header>
5596 > _ACEOF
5597 > rm -f conftest.$ac_objext
5598 > if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5599 >  (eval $ac_compile) 2>conftest.er1
5600 >  ac_status=$?
5601 >  grep -v '^ *+' conftest.er1 >conftest.err
5602 >  rm -f conftest.er1
5603 >  cat conftest.err >&5
5604 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5605 >  (exit $ac_status); } &&
5606 >         { ac_try='test -z "$ac_c_werror_flag"
5607 >                         || test ! -s conftest.err'
5608 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5609 >  (eval $ac_try) 2>&5
5610 >  ac_status=$?
5611 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5612 >  (exit $ac_status); }; } &&
5613 >         { ac_try='test -s conftest.$ac_objext'
5614 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5615 >  (eval $ac_try) 2>&5
5616 >  ac_status=$?
5617 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5618 >  (exit $ac_status); }; }; then
5619 >  ac_header_compiler=yes
5620 > else
5621 >  echo "$as_me: failed program was:" >&5
5622 > sed 's/^/| /' conftest.$ac_ext >&5
5623 >
5624 > ac_header_compiler=no
5625 > fi
5626 > rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5627 > echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
5628 > echo "${ECHO_T}$ac_header_compiler" >&6
5629 >
5630 > # Is the header present?
5631 > echo "$as_me:$LINENO: checking $ac_header presence" >&5
5632 > echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
5633 > cat >conftest.$ac_ext <<_ACEOF
5634 > /* confdefs.h.  */
5635 > _ACEOF
5636 > cat confdefs.h >>conftest.$ac_ext
5637 > cat >>conftest.$ac_ext <<_ACEOF
5638 > /* end confdefs.h.  */
5639 > #include <$ac_header>
5640 > _ACEOF
5641 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5642 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5643 >  ac_status=$?
5644 >  grep -v '^ *+' conftest.er1 >conftest.err
5645 >  rm -f conftest.er1
5646 >  cat conftest.err >&5
5647 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5648 >  (exit $ac_status); } >/dev/null; then
5649 >  if test -s conftest.err; then
5650 >    ac_cpp_err=$ac_c_preproc_warn_flag
5651 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
5652 >  else
5653 >    ac_cpp_err=
5654 >  fi
5655 > else
5656 >  ac_cpp_err=yes
5657 > fi
5658 > if test -z "$ac_cpp_err"; then
5659 >  ac_header_preproc=yes
5660 > else
5661 >  echo "$as_me: failed program was:" >&5
5662 > sed 's/^/| /' conftest.$ac_ext >&5
5663 >
5664 >  ac_header_preproc=no
5665 > fi
5666 > rm -f conftest.err conftest.$ac_ext
5667 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
5668 > echo "${ECHO_T}$ac_header_preproc" >&6
5669 >
5670 > # So?  What about this header?
5671 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
5672 >  yes:no: )
5673 >    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
5674 > echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
5675 >    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
5676 > echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
5677 >    ac_header_preproc=yes
5678 >    ;;
5679 >  no:yes:* )
5680 >    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
5681 > echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
5682 >    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
5683 > echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
5684 >    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
5685 > echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
5686 >    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
5687 > echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
5688 >    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
5689 > echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
5690 >    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
5691 > echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
5692 >    (
5693 >      cat <<\_ASBOX
5694 > ## ------------------------------ ##
5695 > ## Report this to gezelter@nd.edu ##
5696 > ## ------------------------------ ##
5697 > _ASBOX
5698 >    ) |
5699 >      sed "s/^/$as_me: WARNING:     /" >&2
5700 >    ;;
5701 > esac
5702 > echo "$as_me:$LINENO: checking for $ac_header" >&5
5703 > echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
5704 > if eval "test \"\${$as_ac_Header+set}\" = set"; then
5705 >  echo $ECHO_N "(cached) $ECHO_C" >&6
5706 > else
5707 >  eval "$as_ac_Header=\$ac_header_preproc"
5708 > fi
5709 > echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
5710 > echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
5711 >
5712 > fi
5713 > if test `eval echo '${'$as_ac_Header'}'` = yes; then
5714 >  cat >>confdefs.h <<_ACEOF
5715 > #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
5716 > _ACEOF
5717 >
5718 > fi
5719 >
5720 > done
5721 >
5722 > ac_ext=cc
5723 > ac_cpp='$CXXCPP $CPPFLAGS'
5724 > ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5725 > ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5726 > ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
5727 >
5728 > ac_ext=cc
5729 > ac_cpp='$CXXCPP $CPPFLAGS'
5730 > ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5731 > ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5732 > ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
5733 > echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
5734 > echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
5735 > if test -z "$CXXCPP"; then
5736 >  if test "${ac_cv_prog_CXXCPP+set}" = set; then
5737 >  echo $ECHO_N "(cached) $ECHO_C" >&6
5738 > else
5739 >      # Double quotes because CXXCPP needs to be expanded
5740 >    for CXXCPP in "$CXX -E" "/lib/cpp"
5741 >    do
5742 >      ac_preproc_ok=false
5743 > for ac_cxx_preproc_warn_flag in '' yes
5744 > do
5745 >  # Use a header file that comes with gcc, so configuring glibc
5746 >  # with a fresh cross-compiler works.
5747 >  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5748 >  # <limits.h> exists even on freestanding compilers.
5749 >  # On the NeXT, cc -E runs the code through the compiler's parser,
5750 >  # not just through cpp. "Syntax error" is here to catch this case.
5751 >  cat >conftest.$ac_ext <<_ACEOF
5752 > /* confdefs.h.  */
5753 > _ACEOF
5754 > cat confdefs.h >>conftest.$ac_ext
5755 > cat >>conftest.$ac_ext <<_ACEOF
5756 > /* end confdefs.h.  */
5757 > #ifdef __STDC__
5758 > # include <limits.h>
5759 > #else
5760 > # include <assert.h>
5761 > #endif
5762 >                     Syntax error
5763 > _ACEOF
5764 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5765 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5766 >  ac_status=$?
5767 >  grep -v '^ *+' conftest.er1 >conftest.err
5768 >  rm -f conftest.er1
5769 >  cat conftest.err >&5
5770 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5771 >  (exit $ac_status); } >/dev/null; then
5772 >  if test -s conftest.err; then
5773 >    ac_cpp_err=$ac_cxx_preproc_warn_flag
5774 >    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
5775 >  else
5776 >    ac_cpp_err=
5777 >  fi
5778 > else
5779 >  ac_cpp_err=yes
5780 > fi
5781 > if test -z "$ac_cpp_err"; then
5782 >  :
5783 > else
5784 >  echo "$as_me: failed program was:" >&5
5785 > sed 's/^/| /' conftest.$ac_ext >&5
5786 >
5787 >  # Broken: fails on valid input.
5788 > continue
5789 > fi
5790 > rm -f conftest.err conftest.$ac_ext
5791 >
5792 >  # OK, works on sane cases.  Now check whether non-existent headers
5793 >  # can be detected and how.
5794 >  cat >conftest.$ac_ext <<_ACEOF
5795 > /* confdefs.h.  */
5796 > _ACEOF
5797 > cat confdefs.h >>conftest.$ac_ext
5798 > cat >>conftest.$ac_ext <<_ACEOF
5799 > /* end confdefs.h.  */
5800 > #include <ac_nonexistent.h>
5801 > _ACEOF
5802 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5803 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5804 >  ac_status=$?
5805 >  grep -v '^ *+' conftest.er1 >conftest.err
5806 >  rm -f conftest.er1
5807 >  cat conftest.err >&5
5808 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5809 >  (exit $ac_status); } >/dev/null; then
5810 >  if test -s conftest.err; then
5811 >    ac_cpp_err=$ac_cxx_preproc_warn_flag
5812 >    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
5813 >  else
5814 >    ac_cpp_err=
5815 >  fi
5816 > else
5817 >  ac_cpp_err=yes
5818 > fi
5819 > if test -z "$ac_cpp_err"; then
5820 >  # Broken: success on invalid input.
5821 > continue
5822 > else
5823 >  echo "$as_me: failed program was:" >&5
5824 > sed 's/^/| /' conftest.$ac_ext >&5
5825 >
5826 >  # Passes both tests.
5827 > ac_preproc_ok=:
5828 > break
5829 > fi
5830 > rm -f conftest.err conftest.$ac_ext
5831 >
5832 > done
5833 > # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
5834 > rm -f conftest.err conftest.$ac_ext
5835 > if $ac_preproc_ok; then
5836 >  break
5837 > fi
5838 >
5839 >    done
5840 >    ac_cv_prog_CXXCPP=$CXXCPP
5841 >
5842 > fi
5843 >  CXXCPP=$ac_cv_prog_CXXCPP
5844 > else
5845 >  ac_cv_prog_CXXCPP=$CXXCPP
5846 > fi
5847 > echo "$as_me:$LINENO: result: $CXXCPP" >&5
5848 > echo "${ECHO_T}$CXXCPP" >&6
5849 > ac_preproc_ok=false
5850 > for ac_cxx_preproc_warn_flag in '' yes
5851 > do
5852 >  # Use a header file that comes with gcc, so configuring glibc
5853 >  # with a fresh cross-compiler works.
5854 >  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5855 >  # <limits.h> exists even on freestanding compilers.
5856 >  # On the NeXT, cc -E runs the code through the compiler's parser,
5857 >  # not just through cpp. "Syntax error" is here to catch this case.
5858 >  cat >conftest.$ac_ext <<_ACEOF
5859 > /* confdefs.h.  */
5860 > _ACEOF
5861 > cat confdefs.h >>conftest.$ac_ext
5862 > cat >>conftest.$ac_ext <<_ACEOF
5863 > /* end confdefs.h.  */
5864 > #ifdef __STDC__
5865 > # include <limits.h>
5866 > #else
5867 > # include <assert.h>
5868 > #endif
5869 >                     Syntax error
5870 > _ACEOF
5871 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5872 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5873 >  ac_status=$?
5874 >  grep -v '^ *+' conftest.er1 >conftest.err
5875 >  rm -f conftest.er1
5876 >  cat conftest.err >&5
5877 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5878 >  (exit $ac_status); } >/dev/null; then
5879 >  if test -s conftest.err; then
5880 >    ac_cpp_err=$ac_cxx_preproc_warn_flag
5881 >    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
5882 >  else
5883 >    ac_cpp_err=
5884 >  fi
5885 > else
5886 >  ac_cpp_err=yes
5887 > fi
5888 > if test -z "$ac_cpp_err"; then
5889 >  :
5890 > else
5891 >  echo "$as_me: failed program was:" >&5
5892 > sed 's/^/| /' conftest.$ac_ext >&5
5893 >
5894 >  # Broken: fails on valid input.
5895 > continue
5896 > fi
5897 > rm -f conftest.err conftest.$ac_ext
5898 >
5899 >  # OK, works on sane cases.  Now check whether non-existent headers
5900 >  # can be detected and how.
5901 >  cat >conftest.$ac_ext <<_ACEOF
5902 > /* confdefs.h.  */
5903 > _ACEOF
5904 > cat confdefs.h >>conftest.$ac_ext
5905 > cat >>conftest.$ac_ext <<_ACEOF
5906 > /* end confdefs.h.  */
5907 > #include <ac_nonexistent.h>
5908 > _ACEOF
5909 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5910 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5911 >  ac_status=$?
5912 >  grep -v '^ *+' conftest.er1 >conftest.err
5913 >  rm -f conftest.er1
5914 >  cat conftest.err >&5
5915 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5916 >  (exit $ac_status); } >/dev/null; then
5917 >  if test -s conftest.err; then
5918 >    ac_cpp_err=$ac_cxx_preproc_warn_flag
5919 >    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
5920 >  else
5921 >    ac_cpp_err=
5922 >  fi
5923 > else
5924 >  ac_cpp_err=yes
5925 > fi
5926 > if test -z "$ac_cpp_err"; then
5927 >  # Broken: success on invalid input.
5928 > continue
5929 > else
5930 >  echo "$as_me: failed program was:" >&5
5931 > sed 's/^/| /' conftest.$ac_ext >&5
5932 >
5933 >  # Passes both tests.
5934 > ac_preproc_ok=:
5935 > break
5936 > fi
5937 > rm -f conftest.err conftest.$ac_ext
5938 >
5939 > done
5940 > # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
5941 > rm -f conftest.err conftest.$ac_ext
5942 > if $ac_preproc_ok; then
5943 >  :
5944 > else
5945 >  { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
5946 > See \`config.log' for more details." >&5
5947 > echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
5948 > See \`config.log' for more details." >&2;}
5949 >   { (exit 1); exit 1; }; }
5950 > fi
5951 >
5952 > ac_ext=cc
5953 > ac_cpp='$CXXCPP $CPPFLAGS'
5954 > ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5955 > ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5956 > ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
5957 >
5958 >
5959 >
5960 >
5961 >
5962 >
5963 >
5964 > for ac_header in ctype.h iostream fstream sstream strstream
5965 > do
5966 > as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
5967 > if eval "test \"\${$as_ac_Header+set}\" = set"; then
5968 >  echo "$as_me:$LINENO: checking for $ac_header" >&5
5969 > echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
5970 > if eval "test \"\${$as_ac_Header+set}\" = set"; then
5971 >  echo $ECHO_N "(cached) $ECHO_C" >&6
5972 > fi
5973 > echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
5974 > echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
5975 > else
5976 >  # Is the header compilable?
5977 > echo "$as_me:$LINENO: checking $ac_header usability" >&5
5978 > echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
5979 > cat >conftest.$ac_ext <<_ACEOF
5980 > /* confdefs.h.  */
5981 > _ACEOF
5982 > cat confdefs.h >>conftest.$ac_ext
5983 > cat >>conftest.$ac_ext <<_ACEOF
5984 > /* end confdefs.h.  */
5985 > $ac_includes_default
5986 > #include <$ac_header>
5987 > _ACEOF
5988 > rm -f conftest.$ac_objext
5989 > if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5990 >  (eval $ac_compile) 2>conftest.er1
5991 >  ac_status=$?
5992 >  grep -v '^ *+' conftest.er1 >conftest.err
5993 >  rm -f conftest.er1
5994 >  cat conftest.err >&5
5995 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5996 >  (exit $ac_status); } &&
5997 >         { ac_try='test -z "$ac_cxx_werror_flag"
5998 >                         || test ! -s conftest.err'
5999 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6000 >  (eval $ac_try) 2>&5
6001 >  ac_status=$?
6002 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6003 >  (exit $ac_status); }; } &&
6004 >         { ac_try='test -s conftest.$ac_objext'
6005 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6006 >  (eval $ac_try) 2>&5
6007 >  ac_status=$?
6008 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6009 >  (exit $ac_status); }; }; then
6010 >  ac_header_compiler=yes
6011 > else
6012 >  echo "$as_me: failed program was:" >&5
6013 > sed 's/^/| /' conftest.$ac_ext >&5
6014 >
6015 > ac_header_compiler=no
6016 > fi
6017 > rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6018 > echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6019 > echo "${ECHO_T}$ac_header_compiler" >&6
6020 >
6021 > # Is the header present?
6022 > echo "$as_me:$LINENO: checking $ac_header presence" >&5
6023 > echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
6024 > cat >conftest.$ac_ext <<_ACEOF
6025 > /* confdefs.h.  */
6026 > _ACEOF
6027 > cat confdefs.h >>conftest.$ac_ext
6028 > cat >>conftest.$ac_ext <<_ACEOF
6029 > /* end confdefs.h.  */
6030 > #include <$ac_header>
6031 > _ACEOF
6032 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6033 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6034 >  ac_status=$?
6035 >  grep -v '^ *+' conftest.er1 >conftest.err
6036 >  rm -f conftest.er1
6037 >  cat conftest.err >&5
6038 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6039 >  (exit $ac_status); } >/dev/null; then
6040 >  if test -s conftest.err; then
6041 >    ac_cpp_err=$ac_cxx_preproc_warn_flag
6042 >    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
6043 >  else
6044 >    ac_cpp_err=
6045 >  fi
6046 > else
6047 >  ac_cpp_err=yes
6048 > fi
6049 > if test -z "$ac_cpp_err"; then
6050 >  ac_header_preproc=yes
6051 > else
6052 >  echo "$as_me: failed program was:" >&5
6053 > sed 's/^/| /' conftest.$ac_ext >&5
6054 >
6055 >  ac_header_preproc=no
6056 > fi
6057 > rm -f conftest.err conftest.$ac_ext
6058 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6059 > echo "${ECHO_T}$ac_header_preproc" >&6
6060 >
6061 > # So?  What about this header?
6062 > case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
6063 >  yes:no: )
6064 >    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
6065 > echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
6066 >    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
6067 > echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
6068 >    ac_header_preproc=yes
6069 >    ;;
6070 >  no:yes:* )
6071 >    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
6072 > echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
6073 >    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
6074 > echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
6075 >    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
6076 > echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
6077 >    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
6078 > echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
6079 >    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
6080 > echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
6081 >    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
6082 > echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
6083 >    (
6084 >      cat <<\_ASBOX
6085 > ## ------------------------------ ##
6086 > ## Report this to gezelter@nd.edu ##
6087 > ## ------------------------------ ##
6088 > _ASBOX
6089 >    ) |
6090 >      sed "s/^/$as_me: WARNING:     /" >&2
6091 >    ;;
6092 > esac
6093 > echo "$as_me:$LINENO: checking for $ac_header" >&5
6094 > echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6095 > if eval "test \"\${$as_ac_Header+set}\" = set"; then
6096 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6097 > else
6098 >  eval "$as_ac_Header=\$ac_header_preproc"
6099 > fi
6100 > echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6101 > echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
6102 >
6103 > fi
6104 > if test `eval echo '${'$as_ac_Header'}'` = yes; then
6105 >  cat >>confdefs.h <<_ACEOF
6106 > #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
6107 > _ACEOF
6108 >
6109 > fi
6110 >
6111 > done
6112 >
6113 > ac_ext=c
6114 > ac_cpp='$CPP $CPPFLAGS'
6115 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6116 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6117 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6118 >
6119 >
6120 >
6121 >
6122 > for ac_header in sys/pstat.h sys/sysmp.h sys/sysinfo.h
6123 > do
6124 > as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
6125 > if eval "test \"\${$as_ac_Header+set}\" = set"; then
6126 >  echo "$as_me:$LINENO: checking for $ac_header" >&5
6127 > echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6128 > if eval "test \"\${$as_ac_Header+set}\" = set"; then
6129 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6130 > fi
6131 > echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6132 > echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
6133 > else
6134 >  # Is the header compilable?
6135 > echo "$as_me:$LINENO: checking $ac_header usability" >&5
6136 > echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
6137 > cat >conftest.$ac_ext <<_ACEOF
6138 > /* confdefs.h.  */
6139 > _ACEOF
6140 > cat confdefs.h >>conftest.$ac_ext
6141 > cat >>conftest.$ac_ext <<_ACEOF
6142 > /* end confdefs.h.  */
6143 > $ac_includes_default
6144 > #include <$ac_header>
6145 > _ACEOF
6146 > rm -f conftest.$ac_objext
6147 > if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6148 >  (eval $ac_compile) 2>conftest.er1
6149 >  ac_status=$?
6150 >  grep -v '^ *+' conftest.er1 >conftest.err
6151 >  rm -f conftest.er1
6152 >  cat conftest.err >&5
6153 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6154 >  (exit $ac_status); } &&
6155 >         { ac_try='test -z "$ac_c_werror_flag"
6156 >                         || test ! -s conftest.err'
6157 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6158 >  (eval $ac_try) 2>&5
6159 >  ac_status=$?
6160 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6161 >  (exit $ac_status); }; } &&
6162 >         { ac_try='test -s conftest.$ac_objext'
6163 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6164 >  (eval $ac_try) 2>&5
6165 >  ac_status=$?
6166 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6167 >  (exit $ac_status); }; }; then
6168 >  ac_header_compiler=yes
6169 > else
6170 >  echo "$as_me: failed program was:" >&5
6171 > sed 's/^/| /' conftest.$ac_ext >&5
6172 >
6173 > ac_header_compiler=no
6174 > fi
6175 > rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6176 > echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6177 > echo "${ECHO_T}$ac_header_compiler" >&6
6178 >
6179 > # Is the header present?
6180 > echo "$as_me:$LINENO: checking $ac_header presence" >&5
6181 > echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
6182 > cat >conftest.$ac_ext <<_ACEOF
6183 > /* confdefs.h.  */
6184 > _ACEOF
6185 > cat confdefs.h >>conftest.$ac_ext
6186 > cat >>conftest.$ac_ext <<_ACEOF
6187 > /* end confdefs.h.  */
6188 > #include <$ac_header>
6189 > _ACEOF
6190 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6191 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6192 >  ac_status=$?
6193 >  grep -v '^ *+' conftest.er1 >conftest.err
6194 >  rm -f conftest.er1
6195 >  cat conftest.err >&5
6196 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6197 >  (exit $ac_status); } >/dev/null; then
6198 >  if test -s conftest.err; then
6199 >    ac_cpp_err=$ac_c_preproc_warn_flag
6200 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6201 >  else
6202 >    ac_cpp_err=
6203 >  fi
6204 > else
6205 >  ac_cpp_err=yes
6206 > fi
6207 > if test -z "$ac_cpp_err"; then
6208 >  ac_header_preproc=yes
6209 > else
6210 >  echo "$as_me: failed program was:" >&5
6211 > sed 's/^/| /' conftest.$ac_ext >&5
6212 >
6213 >  ac_header_preproc=no
6214 > fi
6215 > rm -f conftest.err conftest.$ac_ext
6216 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6217 > echo "${ECHO_T}$ac_header_preproc" >&6
6218 >
6219 > # So?  What about this header?
6220 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6221 >  yes:no: )
6222 >    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
6223 > echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
6224 >    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
6225 > echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
6226 >    ac_header_preproc=yes
6227 >    ;;
6228 >  no:yes:* )
6229 >    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
6230 > echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
6231 >    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
6232 > echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
6233 >    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
6234 > echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
6235 >    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
6236 > echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
6237 >    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
6238 > echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
6239 >    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
6240 > echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
6241 >    (
6242 >      cat <<\_ASBOX
6243 > ## ------------------------------ ##
6244 > ## Report this to gezelter@nd.edu ##
6245 > ## ------------------------------ ##
6246 > _ASBOX
6247 >    ) |
6248 >      sed "s/^/$as_me: WARNING:     /" >&2
6249 >    ;;
6250 > esac
6251 > echo "$as_me:$LINENO: checking for $ac_header" >&5
6252 > echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6253 > if eval "test \"\${$as_ac_Header+set}\" = set"; then
6254 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6255 > else
6256 >  eval "$as_ac_Header=\$ac_header_preproc"
6257 > fi
6258 > echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6259 > echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
6260 >
6261 > fi
6262 > if test `eval echo '${'$as_ac_Header'}'` = yes; then
6263 >  cat >>confdefs.h <<_ACEOF
6264 > #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
6265 > _ACEOF
6266 >
6267 > fi
6268 >
6269 > done
6270 >
6271 >
6272 >
6273 >
6274 >
6275 > for ac_header in sys/table.h sys/param.h sys/sysctl.h sys/sytemcfg.h
6276 > do
6277 > as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
6278 > if eval "test \"\${$as_ac_Header+set}\" = set"; then
6279 >  echo "$as_me:$LINENO: checking for $ac_header" >&5
6280 > echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6281 > if eval "test \"\${$as_ac_Header+set}\" = set"; then
6282 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6283 > fi
6284 > echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6285 > echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
6286 > else
6287 >  # Is the header compilable?
6288 > echo "$as_me:$LINENO: checking $ac_header usability" >&5
6289 > echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
6290 > cat >conftest.$ac_ext <<_ACEOF
6291 > /* confdefs.h.  */
6292 > _ACEOF
6293 > cat confdefs.h >>conftest.$ac_ext
6294 > cat >>conftest.$ac_ext <<_ACEOF
6295 > /* end confdefs.h.  */
6296 > $ac_includes_default
6297 > #include <$ac_header>
6298 > _ACEOF
6299 > rm -f conftest.$ac_objext
6300 > if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6301 >  (eval $ac_compile) 2>conftest.er1
6302 >  ac_status=$?
6303 >  grep -v '^ *+' conftest.er1 >conftest.err
6304 >  rm -f conftest.er1
6305 >  cat conftest.err >&5
6306 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6307 >  (exit $ac_status); } &&
6308 >         { ac_try='test -z "$ac_c_werror_flag"
6309 >                         || test ! -s conftest.err'
6310 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6311 >  (eval $ac_try) 2>&5
6312 >  ac_status=$?
6313 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6314 >  (exit $ac_status); }; } &&
6315 >         { ac_try='test -s conftest.$ac_objext'
6316 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6317 >  (eval $ac_try) 2>&5
6318 >  ac_status=$?
6319 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6320 >  (exit $ac_status); }; }; then
6321 >  ac_header_compiler=yes
6322 > else
6323 >  echo "$as_me: failed program was:" >&5
6324 > sed 's/^/| /' conftest.$ac_ext >&5
6325 >
6326 > ac_header_compiler=no
6327 > fi
6328 > rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6329 > echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6330 > echo "${ECHO_T}$ac_header_compiler" >&6
6331 >
6332 > # Is the header present?
6333 > echo "$as_me:$LINENO: checking $ac_header presence" >&5
6334 > echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
6335 > cat >conftest.$ac_ext <<_ACEOF
6336 > /* confdefs.h.  */
6337 > _ACEOF
6338 > cat confdefs.h >>conftest.$ac_ext
6339 > cat >>conftest.$ac_ext <<_ACEOF
6340 > /* end confdefs.h.  */
6341 > #include <$ac_header>
6342 > _ACEOF
6343 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6344 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6345 >  ac_status=$?
6346 >  grep -v '^ *+' conftest.er1 >conftest.err
6347 >  rm -f conftest.er1
6348 >  cat conftest.err >&5
6349 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6350 >  (exit $ac_status); } >/dev/null; then
6351 >  if test -s conftest.err; then
6352 >    ac_cpp_err=$ac_c_preproc_warn_flag
6353 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6354 >  else
6355 >    ac_cpp_err=
6356 >  fi
6357 > else
6358 >  ac_cpp_err=yes
6359 > fi
6360 > if test -z "$ac_cpp_err"; then
6361 >  ac_header_preproc=yes
6362 > else
6363 >  echo "$as_me: failed program was:" >&5
6364 > sed 's/^/| /' conftest.$ac_ext >&5
6365 >
6366 >  ac_header_preproc=no
6367 > fi
6368 > rm -f conftest.err conftest.$ac_ext
6369 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6370 > echo "${ECHO_T}$ac_header_preproc" >&6
6371 >
6372 > # So?  What about this header?
6373 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6374 >  yes:no: )
6375 >    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
6376 > echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
6377 >    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
6378 > echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
6379 >    ac_header_preproc=yes
6380 >    ;;
6381 >  no:yes:* )
6382 >    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
6383 > echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
6384 >    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
6385 > echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
6386 >    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
6387 > echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
6388 >    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
6389 > echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
6390 >    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
6391 > echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
6392 >    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
6393 > echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
6394 >    (
6395 >      cat <<\_ASBOX
6396 > ## ------------------------------ ##
6397 > ## Report this to gezelter@nd.edu ##
6398 > ## ------------------------------ ##
6399 > _ASBOX
6400 >    ) |
6401 >      sed "s/^/$as_me: WARNING:     /" >&2
6402 >    ;;
6403 > esac
6404 > echo "$as_me:$LINENO: checking for $ac_header" >&5
6405 > echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6406 > if eval "test \"\${$as_ac_Header+set}\" = set"; then
6407 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6408 > else
6409 >  eval "$as_ac_Header=\$ac_header_preproc"
6410 > fi
6411 > echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6412 > echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
6413 >
6414 > fi
6415 > if test `eval echo '${'$as_ac_Header'}'` = yes; then
6416 >  cat >>confdefs.h <<_ACEOF
6417 > #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
6418 > _ACEOF
6419 >
6420 > fi
6421 >
6422 > done
6423 >
6424 >
6425 > for ac_header in machine/hal_sysinfo.h
6426   do
6427   as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
6428   if eval "test \"\${$as_ac_Header+set}\" = set"; then
# Line 5644 | Line 6731 | fi
6731  
6732   echo "$as_me:$LINENO: result: no" >&5
6733   echo "${ECHO_T}no" >&6
6734 + fi
6735 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6736 + echo "$as_me:$LINENO: checking whether time.h and sys/time.h may both be included" >&5
6737 + echo $ECHO_N "checking whether time.h and sys/time.h may both be included... $ECHO_C" >&6
6738 + if test "${ac_cv_header_time+set}" = set; then
6739 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6740 + else
6741 +  cat >conftest.$ac_ext <<_ACEOF
6742 + /* confdefs.h.  */
6743 + _ACEOF
6744 + cat confdefs.h >>conftest.$ac_ext
6745 + cat >>conftest.$ac_ext <<_ACEOF
6746 + /* end confdefs.h.  */
6747 + #include <sys/types.h>
6748 + #include <sys/time.h>
6749 + #include <time.h>
6750 +
6751 + int
6752 + main ()
6753 + {
6754 + if ((struct tm *) 0)
6755 + return 0;
6756 +  ;
6757 +  return 0;
6758 + }
6759 + _ACEOF
6760 + rm -f conftest.$ac_objext
6761 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6762 +  (eval $ac_compile) 2>conftest.er1
6763 +  ac_status=$?
6764 +  grep -v '^ *+' conftest.er1 >conftest.err
6765 +  rm -f conftest.er1
6766 +  cat conftest.err >&5
6767 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6768 +  (exit $ac_status); } &&
6769 +         { ac_try='test -z "$ac_c_werror_flag"
6770 +                         || test ! -s conftest.err'
6771 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6772 +  (eval $ac_try) 2>&5
6773 +  ac_status=$?
6774 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6775 +  (exit $ac_status); }; } &&
6776 +         { ac_try='test -s conftest.$ac_objext'
6777 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6778 +  (eval $ac_try) 2>&5
6779 +  ac_status=$?
6780 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6781 +  (exit $ac_status); }; }; then
6782 +  ac_cv_header_time=yes
6783 + else
6784 +  echo "$as_me: failed program was:" >&5
6785 + sed 's/^/| /' conftest.$ac_ext >&5
6786 +
6787 + ac_cv_header_time=no
6788 + fi
6789 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6790 + fi
6791 + echo "$as_me:$LINENO: result: $ac_cv_header_time" >&5
6792 + echo "${ECHO_T}$ac_cv_header_time" >&6
6793 + if test $ac_cv_header_time = yes; then
6794 +
6795 + cat >>confdefs.h <<\_ACEOF
6796 + #define TIME_WITH_SYS_TIME 1
6797 + _ACEOF
6798 +
6799 + fi
6800 +
6801 +
6802 + echo "$as_me:$LINENO: checking for clock_t" >&5
6803 + echo $ECHO_N "checking for clock_t... $ECHO_C" >&6
6804 + if test "${ac_cv_type_clock_t+set}" = set; then
6805 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6806 + else
6807 +  cat >conftest.$ac_ext <<_ACEOF
6808 + /* confdefs.h.  */
6809 + _ACEOF
6810 + cat confdefs.h >>conftest.$ac_ext
6811 + cat >>conftest.$ac_ext <<_ACEOF
6812 + /* end confdefs.h.  */
6813 + $ac_includes_default
6814 + int
6815 + main ()
6816 + {
6817 + if ((clock_t *) 0)
6818 +  return 0;
6819 + if (sizeof (clock_t))
6820 +  return 0;
6821 +  ;
6822 +  return 0;
6823 + }
6824 + _ACEOF
6825 + rm -f conftest.$ac_objext
6826 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6827 +  (eval $ac_compile) 2>conftest.er1
6828 +  ac_status=$?
6829 +  grep -v '^ *+' conftest.er1 >conftest.err
6830 +  rm -f conftest.er1
6831 +  cat conftest.err >&5
6832 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6833 +  (exit $ac_status); } &&
6834 +         { ac_try='test -z "$ac_c_werror_flag"
6835 +                         || test ! -s conftest.err'
6836 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6837 +  (eval $ac_try) 2>&5
6838 +  ac_status=$?
6839 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6840 +  (exit $ac_status); }; } &&
6841 +         { ac_try='test -s conftest.$ac_objext'
6842 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6843 +  (eval $ac_try) 2>&5
6844 +  ac_status=$?
6845 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6846 +  (exit $ac_status); }; }; then
6847 +  ac_cv_type_clock_t=yes
6848 + else
6849 +  echo "$as_me: failed program was:" >&5
6850 + sed 's/^/| /' conftest.$ac_ext >&5
6851 +
6852 + ac_cv_type_clock_t=no
6853 + fi
6854 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6855 + fi
6856 + echo "$as_me:$LINENO: result: $ac_cv_type_clock_t" >&5
6857 + echo "${ECHO_T}$ac_cv_type_clock_t" >&6
6858 + if test $ac_cv_type_clock_t = yes; then
6859 +
6860 + cat >>confdefs.h <<_ACEOF
6861 + #define HAVE_CLOCK_T 1
6862 + _ACEOF
6863 +
6864 +
6865 + fi
6866 +
6867 + echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
6868 + echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6
6869 + if test "${ac_cv_c_const+set}" = set; then
6870 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6871 + else
6872 +  cat >conftest.$ac_ext <<_ACEOF
6873 + /* confdefs.h.  */
6874 + _ACEOF
6875 + cat confdefs.h >>conftest.$ac_ext
6876 + cat >>conftest.$ac_ext <<_ACEOF
6877 + /* end confdefs.h.  */
6878 +
6879 + int
6880 + main ()
6881 + {
6882 + /* FIXME: Include the comments suggested by Paul. */
6883 + #ifndef __cplusplus
6884 +  /* Ultrix mips cc rejects this.  */
6885 +  typedef int charset[2];
6886 +  const charset x;
6887 +  /* SunOS 4.1.1 cc rejects this.  */
6888 +  char const *const *ccp;
6889 +  char **p;
6890 +  /* NEC SVR4.0.2 mips cc rejects this.  */
6891 +  struct point {int x, y;};
6892 +  static struct point const zero = {0,0};
6893 +  /* AIX XL C 1.02.0.0 rejects this.
6894 +     It does not let you subtract one const X* pointer from another in
6895 +     an arm of an if-expression whose if-part is not a constant
6896 +     expression */
6897 +  const char *g = "string";
6898 +  ccp = &g + (g ? g-g : 0);
6899 +  /* HPUX 7.0 cc rejects these. */
6900 +  ++ccp;
6901 +  p = (char**) ccp;
6902 +  ccp = (char const *const *) p;
6903 +  { /* SCO 3.2v4 cc rejects this.  */
6904 +    char *t;
6905 +    char const *s = 0 ? (char *) 0 : (char const *) 0;
6906 +
6907 +    *t++ = 0;
6908 +  }
6909 +  { /* Someone thinks the Sun supposedly-ANSI compiler will reject this.  */
6910 +    int x[] = {25, 17};
6911 +    const int *foo = &x[0];
6912 +    ++foo;
6913 +  }
6914 +  { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
6915 +    typedef const int *iptr;
6916 +    iptr p = 0;
6917 +    ++p;
6918 +  }
6919 +  { /* AIX XL C 1.02.0.0 rejects this saying
6920 +       "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
6921 +    struct s { int j; const int *ap[3]; };
6922 +    struct s *b; b->j = 5;
6923 +  }
6924 +  { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
6925 +    const int foo = 10;
6926 +  }
6927 + #endif
6928 +
6929 +  ;
6930 +  return 0;
6931 + }
6932 + _ACEOF
6933 + rm -f conftest.$ac_objext
6934 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6935 +  (eval $ac_compile) 2>conftest.er1
6936 +  ac_status=$?
6937 +  grep -v '^ *+' conftest.er1 >conftest.err
6938 +  rm -f conftest.er1
6939 +  cat conftest.err >&5
6940 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6941 +  (exit $ac_status); } &&
6942 +         { ac_try='test -z "$ac_c_werror_flag"
6943 +                         || test ! -s conftest.err'
6944 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6945 +  (eval $ac_try) 2>&5
6946 +  ac_status=$?
6947 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6948 +  (exit $ac_status); }; } &&
6949 +         { ac_try='test -s conftest.$ac_objext'
6950 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6951 +  (eval $ac_try) 2>&5
6952 +  ac_status=$?
6953 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6954 +  (exit $ac_status); }; }; then
6955 +  ac_cv_c_const=yes
6956 + else
6957 +  echo "$as_me: failed program was:" >&5
6958 + sed 's/^/| /' conftest.$ac_ext >&5
6959 +
6960 + ac_cv_c_const=no
6961   fi
6962   rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6963 + fi
6964 + echo "$as_me:$LINENO: result: $ac_cv_c_const" >&5
6965 + echo "${ECHO_T}$ac_cv_c_const" >&6
6966 + if test $ac_cv_c_const = no; then
6967  
6968 + cat >>confdefs.h <<\_ACEOF
6969 + #define const
6970 + _ACEOF
6971 +
6972 + fi
6973 +
6974 + echo "$as_me:$LINENO: checking for inline" >&5
6975 + echo $ECHO_N "checking for inline... $ECHO_C" >&6
6976 + if test "${ac_cv_c_inline+set}" = set; then
6977 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6978 + else
6979 +  ac_cv_c_inline=no
6980 + for ac_kw in inline __inline__ __inline; do
6981 +  cat >conftest.$ac_ext <<_ACEOF
6982 + /* confdefs.h.  */
6983 + _ACEOF
6984 + cat confdefs.h >>conftest.$ac_ext
6985 + cat >>conftest.$ac_ext <<_ACEOF
6986 + /* end confdefs.h.  */
6987 + #ifndef __cplusplus
6988 + typedef int foo_t;
6989 + static $ac_kw foo_t static_foo () {return 0; }
6990 + $ac_kw foo_t foo () {return 0; }
6991 + #endif
6992 +
6993 + _ACEOF
6994 + rm -f conftest.$ac_objext
6995 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6996 +  (eval $ac_compile) 2>conftest.er1
6997 +  ac_status=$?
6998 +  grep -v '^ *+' conftest.er1 >conftest.err
6999 +  rm -f conftest.er1
7000 +  cat conftest.err >&5
7001 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7002 +  (exit $ac_status); } &&
7003 +         { ac_try='test -z "$ac_c_werror_flag"
7004 +                         || test ! -s conftest.err'
7005 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7006 +  (eval $ac_try) 2>&5
7007 +  ac_status=$?
7008 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7009 +  (exit $ac_status); }; } &&
7010 +         { ac_try='test -s conftest.$ac_objext'
7011 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7012 +  (eval $ac_try) 2>&5
7013 +  ac_status=$?
7014 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7015 +  (exit $ac_status); }; }; then
7016 +  ac_cv_c_inline=$ac_kw; break
7017 + else
7018 +  echo "$as_me: failed program was:" >&5
7019 + sed 's/^/| /' conftest.$ac_ext >&5
7020 +
7021 + fi
7022 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
7023 + done
7024 +
7025 + fi
7026 + echo "$as_me:$LINENO: result: $ac_cv_c_inline" >&5
7027 + echo "${ECHO_T}$ac_cv_c_inline" >&6
7028 +
7029 +
7030 + case $ac_cv_c_inline in
7031 +  inline | yes) ;;
7032 +  *)
7033 +    case $ac_cv_c_inline in
7034 +      no) ac_val=;;
7035 +      *) ac_val=$ac_cv_c_inline;;
7036 +    esac
7037 +    cat >>confdefs.h <<_ACEOF
7038 + #ifndef __cplusplus
7039 + #define inline $ac_val
7040 + #endif
7041 + _ACEOF
7042 +    ;;
7043 + esac
7044 +
7045 +
7046 +
7047 +
7048 + for ac_func in rint sranddev
7049 + do
7050 + as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
7051 + echo "$as_me:$LINENO: checking for $ac_func" >&5
7052 + echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
7053 + if eval "test \"\${$as_ac_var+set}\" = set"; then
7054 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7055 + else
7056 +  cat >conftest.$ac_ext <<_ACEOF
7057 + /* confdefs.h.  */
7058 + _ACEOF
7059 + cat confdefs.h >>conftest.$ac_ext
7060 + cat >>conftest.$ac_ext <<_ACEOF
7061 + /* end confdefs.h.  */
7062 + /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
7063 +   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
7064 + #define $ac_func innocuous_$ac_func
7065 +
7066 + /* System header to define __stub macros and hopefully few prototypes,
7067 +    which can conflict with char $ac_func (); below.
7068 +    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
7069 +    <limits.h> exists even on freestanding compilers.  */
7070 +
7071 + #ifdef __STDC__
7072 + # include <limits.h>
7073 + #else
7074 + # include <assert.h>
7075 + #endif
7076 +
7077 + #undef $ac_func
7078 +
7079 + /* Override any gcc2 internal prototype to avoid an error.  */
7080 + #ifdef __cplusplus
7081 + extern "C"
7082 + {
7083 + #endif
7084 + /* We use char because int might match the return type of a gcc2
7085 +   builtin and then its argument prototype would still apply.  */
7086 + char $ac_func ();
7087 + /* The GNU C library defines this for functions which it implements
7088 +    to always fail with ENOSYS.  Some functions are actually named
7089 +    something starting with __ and the normal name is an alias.  */
7090 + #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
7091 + choke me
7092 + #else
7093 + char (*f) () = $ac_func;
7094 + #endif
7095 + #ifdef __cplusplus
7096 + }
7097 + #endif
7098 +
7099 + int
7100 + main ()
7101 + {
7102 + return f != $ac_func;
7103 +  ;
7104 +  return 0;
7105 + }
7106 + _ACEOF
7107 + rm -f conftest.$ac_objext conftest$ac_exeext
7108 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7109 +  (eval $ac_link) 2>conftest.er1
7110 +  ac_status=$?
7111 +  grep -v '^ *+' conftest.er1 >conftest.err
7112 +  rm -f conftest.er1
7113 +  cat conftest.err >&5
7114 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7115 +  (exit $ac_status); } &&
7116 +         { ac_try='test -z "$ac_c_werror_flag"
7117 +                         || test ! -s conftest.err'
7118 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7119 +  (eval $ac_try) 2>&5
7120 +  ac_status=$?
7121 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7122 +  (exit $ac_status); }; } &&
7123 +         { ac_try='test -s conftest$ac_exeext'
7124 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7125 +  (eval $ac_try) 2>&5
7126 +  ac_status=$?
7127 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7128 +  (exit $ac_status); }; }; then
7129 +  eval "$as_ac_var=yes"
7130 + else
7131 +  echo "$as_me: failed program was:" >&5
7132 + sed 's/^/| /' conftest.$ac_ext >&5
7133 +
7134 + eval "$as_ac_var=no"
7135 + fi
7136 + rm -f conftest.err conftest.$ac_objext \
7137 +      conftest$ac_exeext conftest.$ac_ext
7138 + fi
7139 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
7140 + echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
7141 + if test `eval echo '${'$as_ac_var'}'` = yes; then
7142 +  cat >>confdefs.h <<_ACEOF
7143 + #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
7144 + _ACEOF
7145 +
7146 + fi
7147 + done
7148 +
7149 +
7150    # clean out junk possibly left behind by a previous configuration
7151    rm -f src/getopt.h
7152    # Check for getopt_long support
# Line 7830 | Line 9330 | _ACEOF
9330   cat >>confdefs.h <<_ACEOF
9331   #define PSCOMMAND $PS
9332   _ACEOF
9333 +
9334  
9335 + cat >>confdefs.h <<\_ACEOF
9336 + #define OBAPI
9337 + _ACEOF
9338  
9339 +
9340 +
9341   if test "$ac_cv_prog_ps_syntax" = BSD; then
9342    cat >>confdefs.h <<\_ACEOF
9343   #define PSTYPE_IS_BSD 1
# Line 8431 | Line 9937 | ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
9937  
9938      save_CXXFLAGS="$CXXFLAGS"
9939      CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
9940 <
8435 < ac_ext=cc
8436 < ac_cpp='$CXXCPP $CPPFLAGS'
8437 < ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8438 < ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8439 < ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8440 < echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
8441 < echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
8442 < if test -z "$CXXCPP"; then
8443 <  if test "${ac_cv_prog_CXXCPP+set}" = set; then
8444 <  echo $ECHO_N "(cached) $ECHO_C" >&6
8445 < else
8446 <      # Double quotes because CXXCPP needs to be expanded
8447 <    for CXXCPP in "$CXX -E" "/lib/cpp"
8448 <    do
8449 <      ac_preproc_ok=false
8450 < for ac_cxx_preproc_warn_flag in '' yes
8451 < do
8452 <  # Use a header file that comes with gcc, so configuring glibc
8453 <  # with a fresh cross-compiler works.
8454 <  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
8455 <  # <limits.h> exists even on freestanding compilers.
8456 <  # On the NeXT, cc -E runs the code through the compiler's parser,
8457 <  # not just through cpp. "Syntax error" is here to catch this case.
8458 <  cat >conftest.$ac_ext <<_ACEOF
8459 < /* confdefs.h.  */
8460 < _ACEOF
8461 < cat confdefs.h >>conftest.$ac_ext
8462 < cat >>conftest.$ac_ext <<_ACEOF
8463 < /* end confdefs.h.  */
8464 < #ifdef __STDC__
8465 < # include <limits.h>
8466 < #else
8467 < # include <assert.h>
8468 < #endif
8469 <                     Syntax error
8470 < _ACEOF
8471 < if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8472 <  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8473 <  ac_status=$?
8474 <  grep -v '^ *+' conftest.er1 >conftest.err
8475 <  rm -f conftest.er1
8476 <  cat conftest.err >&5
8477 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8478 <  (exit $ac_status); } >/dev/null; then
8479 <  if test -s conftest.err; then
8480 <    ac_cpp_err=$ac_cxx_preproc_warn_flag
8481 <    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8482 <  else
8483 <    ac_cpp_err=
8484 <  fi
8485 < else
8486 <  ac_cpp_err=yes
8487 < fi
8488 < if test -z "$ac_cpp_err"; then
8489 <  :
8490 < else
8491 <  echo "$as_me: failed program was:" >&5
8492 < sed 's/^/| /' conftest.$ac_ext >&5
8493 <
8494 <  # Broken: fails on valid input.
8495 < continue
8496 < fi
8497 < rm -f conftest.err conftest.$ac_ext
8498 <
8499 <  # OK, works on sane cases.  Now check whether non-existent headers
8500 <  # can be detected and how.
8501 <  cat >conftest.$ac_ext <<_ACEOF
8502 < /* confdefs.h.  */
8503 < _ACEOF
8504 < cat confdefs.h >>conftest.$ac_ext
8505 < cat >>conftest.$ac_ext <<_ACEOF
8506 < /* end confdefs.h.  */
8507 < #include <ac_nonexistent.h>
8508 < _ACEOF
8509 < if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8510 <  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8511 <  ac_status=$?
8512 <  grep -v '^ *+' conftest.er1 >conftest.err
8513 <  rm -f conftest.er1
8514 <  cat conftest.err >&5
8515 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8516 <  (exit $ac_status); } >/dev/null; then
8517 <  if test -s conftest.err; then
8518 <    ac_cpp_err=$ac_cxx_preproc_warn_flag
8519 <    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8520 <  else
8521 <    ac_cpp_err=
8522 <  fi
8523 < else
8524 <  ac_cpp_err=yes
8525 < fi
8526 < if test -z "$ac_cpp_err"; then
8527 <  # Broken: success on invalid input.
8528 < continue
8529 < else
8530 <  echo "$as_me: failed program was:" >&5
8531 < sed 's/^/| /' conftest.$ac_ext >&5
8532 <
8533 <  # Passes both tests.
8534 < ac_preproc_ok=:
8535 < break
8536 < fi
8537 < rm -f conftest.err conftest.$ac_ext
8538 <
8539 < done
8540 < # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
8541 < rm -f conftest.err conftest.$ac_ext
8542 < if $ac_preproc_ok; then
8543 <  break
8544 < fi
8545 <
8546 <    done
8547 <    ac_cv_prog_CXXCPP=$CXXCPP
8548 <
8549 < fi
8550 <  CXXCPP=$ac_cv_prog_CXXCPP
8551 < else
8552 <  ac_cv_prog_CXXCPP=$CXXCPP
8553 < fi
8554 < echo "$as_me:$LINENO: result: $CXXCPP" >&5
8555 < echo "${ECHO_T}$CXXCPP" >&6
8556 < ac_preproc_ok=false
8557 < for ac_cxx_preproc_warn_flag in '' yes
8558 < do
8559 <  # Use a header file that comes with gcc, so configuring glibc
8560 <  # with a fresh cross-compiler works.
8561 <  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
8562 <  # <limits.h> exists even on freestanding compilers.
8563 <  # On the NeXT, cc -E runs the code through the compiler's parser,
8564 <  # not just through cpp. "Syntax error" is here to catch this case.
8565 <  cat >conftest.$ac_ext <<_ACEOF
8566 < /* confdefs.h.  */
8567 < _ACEOF
8568 < cat confdefs.h >>conftest.$ac_ext
8569 < cat >>conftest.$ac_ext <<_ACEOF
8570 < /* end confdefs.h.  */
8571 < #ifdef __STDC__
8572 < # include <limits.h>
8573 < #else
8574 < # include <assert.h>
8575 < #endif
8576 <                     Syntax error
8577 < _ACEOF
8578 < if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8579 <  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8580 <  ac_status=$?
8581 <  grep -v '^ *+' conftest.er1 >conftest.err
8582 <  rm -f conftest.er1
8583 <  cat conftest.err >&5
8584 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8585 <  (exit $ac_status); } >/dev/null; then
8586 <  if test -s conftest.err; then
8587 <    ac_cpp_err=$ac_cxx_preproc_warn_flag
8588 <    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8589 <  else
8590 <    ac_cpp_err=
8591 <  fi
8592 < else
8593 <  ac_cpp_err=yes
8594 < fi
8595 < if test -z "$ac_cpp_err"; then
8596 <  :
8597 < else
8598 <  echo "$as_me: failed program was:" >&5
8599 < sed 's/^/| /' conftest.$ac_ext >&5
8600 <
8601 <  # Broken: fails on valid input.
8602 < continue
8603 < fi
8604 < rm -f conftest.err conftest.$ac_ext
8605 <
8606 <  # OK, works on sane cases.  Now check whether non-existent headers
8607 <  # can be detected and how.
8608 <  cat >conftest.$ac_ext <<_ACEOF
8609 < /* confdefs.h.  */
8610 < _ACEOF
8611 < cat confdefs.h >>conftest.$ac_ext
8612 < cat >>conftest.$ac_ext <<_ACEOF
8613 < /* end confdefs.h.  */
8614 < #include <ac_nonexistent.h>
8615 < _ACEOF
8616 < if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8617 <  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8618 <  ac_status=$?
8619 <  grep -v '^ *+' conftest.er1 >conftest.err
8620 <  rm -f conftest.er1
8621 <  cat conftest.err >&5
8622 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8623 <  (exit $ac_status); } >/dev/null; then
8624 <  if test -s conftest.err; then
8625 <    ac_cpp_err=$ac_cxx_preproc_warn_flag
8626 <    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8627 <  else
8628 <    ac_cpp_err=
8629 <  fi
8630 < else
8631 <  ac_cpp_err=yes
8632 < fi
8633 < if test -z "$ac_cpp_err"; then
8634 <  # Broken: success on invalid input.
8635 < continue
8636 < else
8637 <  echo "$as_me: failed program was:" >&5
8638 < sed 's/^/| /' conftest.$ac_ext >&5
8639 <
8640 <  # Passes both tests.
8641 < ac_preproc_ok=:
8642 < break
8643 < fi
8644 < rm -f conftest.err conftest.$ac_ext
8645 <
8646 < done
8647 < # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
8648 < rm -f conftest.err conftest.$ac_ext
8649 < if $ac_preproc_ok; then
8650 <  :
8651 < else
8652 <  { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
8653 < See \`config.log' for more details." >&5
8654 < echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
8655 < See \`config.log' for more details." >&2;}
8656 <   { (exit 1); exit 1; }; }
8657 < fi
8658 <
8659 < ac_ext=cc
8660 < ac_cpp='$CXXCPP $CPPFLAGS'
8661 < ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8662 < ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8663 < ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8664 <
8665 <
8666 < if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
9940 >    if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
9941    echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
9942   echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
9943   if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
# Line 9864 | Line 11138 | s,@LIBOBJS@,$LIBOBJS,;t t
11138   s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
11139   s,@CPP@,$CPP,;t t
11140   s,@EGREP@,$EGREP,;t t
11141 + s,@CXXCPP@,$CXXCPP,;t t
11142   s,@LIBOBJS@,$LIBOBJS,;t t
11143   s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
11144   s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
# Line 9886 | Line 11161 | s,@CXXCPP@,$CXXCPP,;t t
11161   s,@MPI_LIB@,$MPI_LIB,;t t
11162   s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
11163   s,@USE_MPI@,$USE_MPI,;t t
9889 s,@CXXCPP@,$CXXCPP,;t t
11164   s,@USE_CGAL@,$USE_CGAL,;t t
11165   s,@CGAL_INC_DIR@,$CGAL_INC_DIR,;t t
11166   s,@CGAL_LIB_DIR@,$CGAL_LIB_DIR,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines